Subject: Re: [PATCH] mailmap: change primary address for Derrick Stolee

From: Junio C Hamano <[email-masked]>
Date: Mon, 14 Feb 2022 11:50:30 -0800

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> On Mon, Feb 14 2022, Derrick Stolee via GitGitGadget wrote:
>
>> From: Derrick Stolee <[email-masked]>
>>
>> Stolee transitioned from Microsoft to GitHub in July 2020, but continued
>> to use <[email-masked]> because it was a valid address. He also
>> used <[email-masked]> to communicate with the mailing list since
>> writing plaintext emails is difficult in Outlook. However, recent issues
>> with GMail delaying mailing list messages created a need to change his
>> primary email address.

"I prefer this address to be the one shown" is a good enough
justification for these entries ;-).

> Yeah that sucks. You might be interested in the tips I had for working
> around it in
> https://lore.kernel.org/git/[email-masked]/;
> and others have suggested subscribing an alias address for the GMail
> address.
>
>> diff --git a/.mailmap b/.mailmap
>> index 9c6a446bdfb..07db36a9bb9 100644
>> --- a/.mailmap
>> +++ b/.mailmap
>> @@ -59,8 +59,9 @@ David Reiss <[email-masked]> <dreiss@dreiss-vmware.(none)>
>>  David S. Miller <[email-masked]>
>>  David Turner <[email-masked]> <[email-masked]>
>>  David Turner <[email-masked]> <[email-masked]>
>> -Derrick Stolee <[email-masked]> <[email-masked]>
>> -Derrick Stolee <[email-masked]> Derrick Stolee via GitGitGadget <[email-masked]>
>> +Derrick Stolee <[email-masked]> <[email-masked]>
>> +Derrick Stolee <[email-masked]> Derrick Stolee via GitGitGadget <[email-masked]>
>> +Derrick Stolee <[email-masked]> <[email-masked]>
>
> FWIW I think only the addition of that last line is needed since the
> .mailmap syntax supports mapping A->B, followed by B->C.

I suspect that another reason of retiring the two entries that may
not be captured in the log message is so that people does not have
to know the person is reachable both at microsoft and github.

It is somewhat sad that we need to carry these "via GitGitGadget"
entries in the file, but we are fortunate that the mailmap supports
the "differentiate two authors with the same e-mail with the human
readable name" feature so that we can label v2.25.0~3^2 and
v2.25.1~20^2~1 with the rigth authors.  If my counting is correct,
these two are the only ones that we mistakenly made GGG as the
author of a change.